import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
import RouterBase from './RouterBase';
import { RouterHandlerType } from '../types/TRouter';
export type controllerResultType = APIGatewayProxyResult;
export type HandlerResultType = Promise<controllerResultType>;
export type HandlerType = (event: APIGatewayProxyEvent, context: Context) => HandlerResultType;
export default class AwsProxyRouter extends RouterBase<HandlerType, HandlerResultType> {
    lookup(receivedPath: string): RouterHandlerType<HandlerType, HandlerResultType>;
    expose(): HandlerType;
}
