import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
import RouterBase from './RouterBase';
export type controllerResultType = APIGatewayProxyResult;
export type HandlerResultType = Promise<controllerResultType>;
export type HandlerType = (event: APIGatewayProxyEvent, context: Context) => HandlerResultType;
export default class AwsSamRouter extends RouterBase<HandlerType, HandlerResultType> {
    expose(): HandlerType;
}
