import { IController } from '../interfaces/IController';
import { IControllerConfig } from '../types/TController';
export default abstract class BaseController<T> implements IController<T> {
    private config;
    constructor(config: IControllerConfig<T>);
    getHandler(method: string): T;
}
